Bug 997396 - [abrt] NetworkManager-0.9.9.0-9.git20130807.el7: link_changed: Process /usr/sbin/NetworkManager was killed by signal 11 (SIGSEGV)
[abrt] NetworkManager-0.9.9.0-9.git20130807.el7: link_changed: Process /usr/s...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.0
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Thomas Haller
Desktop QE
abrt_hash:1df625d0123e85aecb0b319293d...
:
: 1004159 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 08:03 EDT by Jakub Filak
Modified: 2016-11-30 19:44 EST (History)
10 users (show)

See Also:
Fixed In Version: NetworkManager-0.9.9.0-10.git20130906
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:35:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (18.62 KB, text/plain)
2013-08-15 08:03 EDT, Jakub Filak
no flags Details
File: cgroup (151 bytes, text/plain)
2013-08-15 08:03 EDT, Jakub Filak
no flags Details
File: core_backtrace (10.92 KB, text/plain)
2013-08-15 08:03 EDT, Jakub Filak
no flags Details
File: dso_list (3.88 KB, text/plain)
2013-08-15 08:03 EDT, Jakub Filak
no flags Details
File: environ (134 bytes, text/plain)
2013-08-15 08:03 EDT, Jakub Filak
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-15 08:03 EDT, Jakub Filak
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-15 08:03 EDT, Jakub Filak
no flags Details
File: maps (19.09 KB, text/plain)
2013-08-15 08:03 EDT, Jakub Filak
no flags Details
File: open_fds (3.07 KB, text/plain)
2013-08-15 08:03 EDT, Jakub Filak
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2013-08-15 08:03 EDT, Jakub Filak
no flags Details
File: var_log_messages (10.50 KB, text/plain)
2013-08-15 08:03 EDT, Jakub Filak
no flags Details

  None (edit)
Description Jakub Filak 2013-08-15 08:03:20 EDT
Description of problem:
I'm terribly sorry, but I don't know what I was doing. I just logged into desktop session.

Version-Release number of selected component:
NetworkManager-0.9.9.0-9.git20130807.el7

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: link_changed
executable:     /usr/sbin/NetworkManager
kernel:         3.10.0-4.el7.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 link_changed at devices/nm-device.c:1185
 #2 constructed at devices/nm-device-macvlan.c:113
 #4 g_object_new_valist at gobject.c:1836
 #6 nm_device_macvlan_new at devices/nm-device-macvlan.c:98
 #7 platform_link_added_cb at nm-manager.c:2341
 #8 ffi_call_unix64 at ../src/x86/unix64.S:76
 #9 ffi_call at ../src/x86/ffi64.c:522
 #10 g_cclosure_marshal_generic at gclosure.c:1454
 #15 nm_platform_query_devices at platform/nm-platform.c:263
 #16 nm_manager_start at nm-manager.c:3807
Comment 1 Jakub Filak 2013-08-15 08:03:24 EDT
Created attachment 786912 [details]
File: backtrace
Comment 2 Jakub Filak 2013-08-15 08:03:26 EDT
Created attachment 786913 [details]
File: cgroup
Comment 3 Jakub Filak 2013-08-15 08:03:29 EDT
Created attachment 786914 [details]
File: core_backtrace
Comment 4 Jakub Filak 2013-08-15 08:03:32 EDT
Created attachment 786915 [details]
File: dso_list
Comment 5 Jakub Filak 2013-08-15 08:03:34 EDT
Created attachment 786916 [details]
File: environ
Comment 6 Jakub Filak 2013-08-15 08:03:37 EDT
Created attachment 786917 [details]
File: exploitable
Comment 7 Jakub Filak 2013-08-15 08:03:39 EDT
Created attachment 786918 [details]
File: limits
Comment 8 Jakub Filak 2013-08-15 08:03:42 EDT
Created attachment 786919 [details]
File: maps
Comment 9 Jakub Filak 2013-08-15 08:03:44 EDT
Created attachment 786920 [details]
File: open_fds
Comment 10 Jakub Filak 2013-08-15 08:03:47 EDT
Created attachment 786921 [details]
File: proc_pid_status
Comment 11 Jakub Filak 2013-08-15 08:03:50 EDT
Created attachment 786922 [details]
File: var_log_messages
Comment 13 Thomas Haller 2013-08-22 14:51:44 EDT
This crash was caused by a bug in NetworkManager.

It affects connections of type GRE and MACVLAN.
I *think* that on RHEL7 only version 0.9.9.0-9.git20130807 has this issue.

I just pushed the bugfix to upstream master:
http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=34d28376ed0979f547249a59c2e9b1e47e0eaa97
Comment 14 Dan Williams 2013-09-06 22:20:09 EDT
*** Bug 1004159 has been marked as a duplicate of this bug. ***
Comment 16 Vladimir Benes 2014-02-04 09:39:58 EST
cannot see this any more, will reopen if it occurs again
Comment 17 Ludek Smid 2014-06-13 06:35:28 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.